Skip to main content

Get Risk Limits

Response Example

{
"success": true,
"code": 0,
"data": {
"BTC_USDT": [
{
"level": 6,
"maxVol": 4500000,
"mmr": 0.05,
"imr": 0.1,
"maxLeverage": 500,
"symbol": "BTC_USDT",
"positionType": 2,
"openType": 1,
"leverage": 2,
"limitBySys": false,
"currentMmr": 0.05
},
{
"level": 1,
"maxVol": 50000,
"mmr": 0.001,
"imr": 0.002,
"maxLeverage": 500,
"symbol": "BTC_USDT",
"positionType": 1,
"openType": 1,
"leverage": 2,
"limitBySys": false
}
]
}
}
  • GET /api/v1/private/account/risk_limit

Required Permission: View Order Details

Request Parameters:

ParameterTypeRequiredDescription
symbolstringfalseContract, if not provided returns all

Response Parameters:

ParameterTypeDescription
symbolstringContract
positionTypeintPosition type 1: long,2: short
levelintCurrent liquidation risk level, returns min(leverage risk level, position risk level)
maxVoldecimalMaximum position quantity; if contract is configured to limit by position value, it will be converted to the number of contracts based on the current fair price.
maxLeverageintMaximum leverage
mmrdecimalMaintenance margin rate for the liquidation risk level; to calculate initial margin, obtain maintenance margin rate via the user’s leverage info interface
imrdecimalInitial margin rate for the liquidation risk level